# Global

##

### Type Definitions

#### ToolbarButtonOptions

##### Type:

- Object

##### Properties:

Name | Type | Attributes | Description
--- | --- | --- | ---
`title` | string |  |
`icon` | string | <optional> | name of the boxicon to be used (e.g. "time" for "bx-time" icon)
`action` | function |  | callback handling the click on the button
`shortcut` | string | <optional> | keyboard shortcut for the button, e.g. "alt+t"

Source:
  - services/frontend_script_api.js, line 72